Status: Closed

Priority: Normal

Assignee:

Category: Projection Support

Affected QGIS version:2.8.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution: invalid
Crashes QGIS or corrupls data: Copied to github as #: 20546
Description

hello, | have used QGIS for several years. The software is great.

But | am not very satisfied with map projection, especially for some classical projection.

When | downloaded for example 'Admin 0 - Countries' data from Natural Earth webpage and do some projection, some issues arouse.
Mercator projection for example, in QGIS 1.8.0, Antarctica disappeared;in QGIS 2.2.0 and QGIS 2.6.1, the bottom of Antarctica converge
to a point located on the top-left of the screen.

For azimuthal equidistant projection, the pole projection is OK in QGIS 2.6.1, but when | changed the origin to 'lat_0=31, lon_0=35' for
example, many polygons overlap.

Hope the projection functionality would be robust in new versions.

History

#1 - 2015-03-16 11:14 AM - Giovanni Manghi

- Category set to Projection Support

- Status changed from Open to Feedback

Hi,

could you provide a few practical examples attaching sample projects (with sample data) or screenshots/screecasts?

thanks.

#2 - 2015-03-17 12:31 AM - Kun Zhang

- File Mercator_EPSG _3857.jpg added

#3 - 2015-03-17 12:36 AM - Kun Zhang

- File aedq.jpg added

Hi, please look at the picture attached.One is in Mercator projection (EPSG:3857).
Another is in azimuthal equidiatant projection, the proj4 string is :
+proj=aeqd +lat_0=31 +lon_0=35 +x_0=0 +y_0=0 +datum=WGS84 +units=m +no_defs

the world file is 'Admin 0 - Countries' from Natural Earth. Both projection are done in QGIS 2.6.1

thanks for attention.
#4 - 2015-11-05 06:06 AM - Raymond Nijssen
- File aedq.png added

You might be using the wrong projection parameters. When | try this one it looks as | expected:

+proj=aeqd +lat_0=31 +lon_0=35 +x_0=0 +y_0=0 +a=6371000 +b=6371000 +units=m +no_defs

Please try again and let us know if it works. Thanks!

According to epsg 3857, this projection only covers latitudes up to about 85 degrees north and south. | guess your data is out of these bounds and not

truncated the proper way. I'm using an other world data set and it looks quite ok on my screen.

#5 - 2015-12-19 10:09 AM - Giovanni Manghi
- Resolution set to invalid
- Status changed from Feedback to Closed

closing for lack of feedback.

Files
